import java.io.*;
import java.util.*;
import java.math.*;

public class cafe_ab implements Runnable {

	int MAXN = 50;
	int MAXM = 50;
	int MAXK = 10000;
	
	private void solve() throws IOException {
		int n = in.nextInt();
		myAssert(1 <= n && n <= MAXN);
		int m = in.nextInt();
		myAssert(1 <= m && m <= MAXM);
		int k = in.nextInt();
		myAssert(1 <= k && k <= MAXK);
		char[][] ans = new char[n][m];
		for (int i = 0; i < n; ++i) {
			Arrays.fill(ans[i], 'h');
		}
		
		for (int i = 0; i < n; ++i) {
			for (int j = 0; j < m; ++j) {
				if (i % 3 == 1 && j % 3 == 1) {
					ans[i][j] = 'T';
				}
			}
		}
		if (n % 3 == 1) {
			for (int j = 0; j < m; ++j) {
				if (j % 3 == 1) {
					ans[n - 1][j] = 'T';
				}
			}
		}
		if (m % 3 == 1) {
			for (int i = 0; i < n; ++i) {
				if (i % 3 == 1) {
					ans[i][m - 1] = 'T';
				}
			}
		}
		if (n % 3 == 1 && m % 3 == 1) {
			ans[n - 1][m - 1] = 'T';
		}
		for (int i = 0; i < n; ++i) {
			for (int j = 0; j < m; ++j) {
				if (ans[i][j] == 'h') {
					if (k <= 0) {
						ans[i][j] = '.';
					}
					--k;
				}
			}
		}
		
		if (k > 0) {
			out.println("Impossible");
		} else {
			for (int i = 0; i < n; ++i) {
				for (int j = 0;j < m; ++j) {
					out.print(ans[i][j]);
				}
				out.println();
			}
		}
	}

	void myAssert(boolean e) {
		if (!e) {
			throw new Error("Assertion failed");
		}
	}
	
	final String FILE_NAME = "cafe";

	SimpleScanner in;
	PrintWriter out;

	@Override
	public void run() {
		try {
			in = new SimpleScanner(new FileReader(FILE_NAME + ".in"));
			out = new PrintWriter(FILE_NAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}

	public static void main(String[] args) {
		new Thread(new cafe_ab()).start();
	}

	class SimpleScanner extends BufferedReader {

		private StringTokenizer st;
		private boolean eof;

		public SimpleScanner(Reader a) {
			super(a);
		}

		String next() {
			while (st == null || !st.hasMoreElements()) {
				try {
					st = new StringTokenizer(readLine());
				} catch (Exception e) {
					eof = true;
					return "";
				}
			}
			return st.nextToken();
		}

		boolean seekEof() {
			String s = next();
			if ("".equals(s) && eof)
				return true;
			st = new StringTokenizer(s + " " + st.toString());
			return false;
		}

		private String cnv(String s) {
			if (s.length() == 0)
				return "0";
			return s;
		}

		int nextInt() {
			return Integer.parseInt(cnv(next()));
		}

		double nextDouble() {
			return Double.parseDouble(cnv(next()));
		}

		long nextLong() {
			return Long.parseLong(cnv(next()));
		}
	}
}